KHTMLView Class Reference

`#include <khtmlview.h>`

Inherits QScrollView.

## Signals

void | finishedLayout ()
void | cleared ()
void | zoomView (int)
void | hideAccessKeys ()
void | repaintAccessKeys ()
void | findAheadActive (bool)

## Public Member Functions

| KHTMLView (KHTMLPart *part, QWidget *parent, const char *name=0)
KHTMLPart * | part () const
int | frameWidth () const
void | setMarginWidth (int x)
int | marginWidth () const
void | setMarginHeight (int y)
int | marginHeight ()
virtual void | setVScrollBarMode (ScrollBarMode mode)
virtual void | setHScrollBarMode (ScrollBarMode mode)
void | print ()
void | print (bool quick)
void | layout ()
void | displayAccessKeys ()

## Protected Slots

void | slotPaletteChanged ()
void | slotScrollBarMoved ()

## Protected Member Functions

void | clear ()
virtual void | resizeEvent (QResizeEvent *event)
virtual void | showEvent (QShowEvent *)
virtual void | hideEvent (QHideEvent *)
virtual bool | focusNextPrevChild (bool next)
virtual void | drawContents (QPainter *p, int clipx, int clipy, int clipw, int cliph)
virtual void | drawContents (QPainter *)
virtual void | viewportMousePressEvent (QMouseEvent *)
virtual void | focusInEvent (QFocusEvent *)
virtual void | focusOutEvent (QFocusEvent *)
virtual void | viewportMouseDoubleClickEvent (QMouseEvent *)
virtual void | viewportMouseMoveEvent (QMouseEvent *)
virtual void | viewportMouseReleaseEvent (QMouseEvent *)
virtual void | viewportResizeEvent (QResizeEvent *)
virtual void | viewportWheelEvent (QWheelEvent *)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | closeEvent (QCloseEvent *)
virtual bool | eventFilter (QObject *, QEvent *)
void | keyPressEvent (QKeyEvent *_ke)
void | keyReleaseEvent (QKeyEvent *_ke)
void | contentsContextMenuEvent (QContextMenuEvent *_ce)
void | doAutoScroll ()
void | timerEvent (QTimerEvent *)

## Friends

class | DOM::HTMLDocumentImpl
class | DOM::HTMLTitleElementImpl
class | DOM::HTMLGenericFormElementImpl
class | DOM::HTMLFormElementImpl
class | DOM::HTMLAnchorElementImpl
class | DOM::HTMLInputElementImpl
class | DOM::DocumentImpl
class | KHTMLPart
class | khtml::RenderCanvas
class | khtml::RenderObject
class | khtml::RenderLineEdit
class | khtml::RenderPartObject
class | khtml::RenderWidget
class | khtml::CSSStyleSelector
class | khtml::LineEditWidget
class | KJS::WindowFunc
class | KJS::ExternalFunc
void | khtml::applyRule (DOM::CSSProperty *prop)

## Detailed Description

Renders and displays HTML in a QScrollView.

Suitable for use as an application's main view.

Definition at line 78 of file khtmlview.h.

## Constructor & Destructor Documentation

KHTMLView::KHTMLView | ( | KHTMLPart * | part,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructs a KHTMLView.

Definition at line 473 of file khtmlview.cpp.

## Member Function Documentation

void KHTMLView::displayAccessKeys | ( |  | ) |

Display all accesskeys in small tooltips.

Definition at line 2229 of file khtmlview.cpp.

void KHTMLView::finishedLayout | ( |  | ) |

signal

This signal is used for internal layouting.

Don't use it to check if rendering finished. Use KHTMLPart completed() signal instead.

void KHTMLView::layout | ( |  | ) |

ensure the display is up to date

Definition at line 781 of file khtmlview.cpp.

int KHTMLView::marginHeight | ( |  | ) |

inline

Returns the margin height.

A return value of -1 means the default value will be used.

Definition at line 139 of file khtmlview.h.

int KHTMLView::marginWidth | ( |  | ) | const

inline

Returns the margin width.

A return value of -1 means the default value will be used.

Definition at line 127 of file khtmlview.h.

KHTMLPart* KHTMLView::part | ( |  | ) | const

inline

Returns a pointer to the KHTMLPart that is rendering the page.

Definition at line 113 of file khtmlview.h.

void KHTMLView::print | ( |  | ) |

Prints the HTML document.

Definition at line 2740 of file khtmlview.cpp.

void KHTMLView::print | ( | bool | quick | ) |

Prints the HTML document.

Parameters

  quick | if true, fully automated printing, without print dialog

Definition at line 2745 of file khtmlview.cpp.

void KHTMLView::setHScrollBarMode | ( | ScrollBarMode | mode | ) |

virtual

Sets horizontal scrollbar mode.

Reimplemented for internal reasons.

Definition at line 2999 of file khtmlview.cpp.

void KHTMLView::setMarginWidth | ( | int | x | ) |

Sets a margin in x direction.

Definition at line 769 of file khtmlview.cpp.

void KHTMLView::setVScrollBarMode | ( | ScrollBarMode | mode | ) |

virtual

Sets verticals scrollbar mode.

Reimplemented for internal reasons.

Definition at line 2989 of file khtmlview.cpp.

The documentation for this class was generated from the following files:

- khtmlview.h
- khtmlview.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys